//
// this fragment shader is specifically made for drawing the ground
// the aux texture is used for "ground noise", to add spots of yellow or dark green
//
precision mediump float;

uniform sampler2D texUnitPrimary;   // texture unit
uniform sampler2D texUnitAux;		// texture unit
varying vec2 texCoordVar;			// texture coordinates from vertex ground shader
varying vec2 texCoordAuxVar;		// texture coordinates from vertex ground shader
varying vec4 colorVar;				// color from vertex shader

void main()
{
	lowp vec4 color = texture2D(texUnitPrimary, texCoordVar);
	lowp vec4 variation = texture2D(texUnitAux, texCoordAuxVar);
    gl_FragColor = (vec4(variation.r, variation.g, variation.b, 1.0) + color) * colorVar;
}
