precision mediump float;

uniform sampler2D texUnitPrimary;   // texture unit
varying vec2 texCoordVar;			// texture coordinates from vertex shader
varying vec4 colorVar;				// color from vertex shader

void main()
{
    gl_FragColor = texture2D(texUnitPrimary, texCoordVar) * colorVar;
}
