attribute vec4 position;                // vertex position
attribute vec2 texCoord;                // vertex texture coordinate
attribute vec4 color;					// vertex color

uniform mat4 projection;                // projection matrix
 
varying vec2 texCoordVar;               // texture coordinate to fragment shader
varying vec4 colorVar;					// color to fragment shader
 
void main()
{
    gl_Position = projection * position;
    texCoordVar = texCoord;
	colorVar = color;
}

