precision mediump float;

uniform sampler2D texUnitPrimary;   // texture unit
uniform sampler2D texUnitAux;		// texture unit
varying vec2 texCoordVar;			// texture coordinates from vertex shader
varying vec4 colorVar;				// color from vertex shader

void main()
{
	lowp vec4 color = texture2D(texUnitPrimary, texCoordVar);
	mediump vec4 alpha = texture2D(texUnitAux, texCoordVar);
	color.a = (alpha.r + alpha.g + alpha.b) * 0.333;
    gl_FragColor = color * colorVar;
}
